// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.19.3
// source: example/example.proto

package example

import (
	_ "gitlab.com/akordacorp/lab/protoc-gen-enum/enum"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type DocumentEvent int32

const (
	DocumentEvent_DOCUMENT_EVENT_UNSPECIFIED DocumentEvent = 0
	DocumentEvent_DOCUMENT_EVENT_CREATED     DocumentEvent = 1
	DocumentEvent_DOCUMENT_EVENT_DELETED     DocumentEvent = 2
)

// Enum value maps for DocumentEvent.
var (
	DocumentEvent_name = map[int32]string{
		0: "DOCUMENT_EVENT_UNSPECIFIED",
		1: "DOCUMENT_EVENT_CREATED",
		2: "DOCUMENT_EVENT_DELETED",
	}
	DocumentEvent_value = map[string]int32{
		"DOCUMENT_EVENT_UNSPECIFIED": 0,
		"DOCUMENT_EVENT_CREATED":     1,
		"DOCUMENT_EVENT_DELETED":     2,
	}
)

func (x DocumentEvent) Enum() *DocumentEvent {
	p := new(DocumentEvent)
	*p = x
	return p
}

func (x DocumentEvent) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (DocumentEvent) Descriptor() protoreflect.EnumDescriptor {
	return file_example_example_proto_enumTypes[0].Descriptor()
}

func (DocumentEvent) Type() protoreflect.EnumType {
	return &file_example_example_proto_enumTypes[0]
}

func (x DocumentEvent) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use DocumentEvent.Descriptor instead.
func (DocumentEvent) EnumDescriptor() ([]byte, []int) {
	return file_example_example_proto_rawDescGZIP(), []int{0}
}

// SavedSearchEvent defines events for saved searches.
type SavedSearchEvent int32

const (
	// UNSPECIFIED is the default value.
	SavedSearchEvent_SAVED_SEARCH_EVENT_UNSPECIFIED SavedSearchEvent = 0
	// SAVED_SEARCH_CREATED is fired when a saved search is created.
	SavedSearchEvent_SAVED_SEARCH_EVENT_CREATED SavedSearchEvent = 1
	// SAVED_SEARCH_UPDATED is fired when a saved search is updated.
	SavedSearchEvent_SAVED_SEARCH_EVENT_UPDATED SavedSearchEvent = 2
	// SAVED_SEARCH_DELETED is fired when a saved search is deleted.
	SavedSearchEvent_SAVED_SEARCH_EVENT_DELETED SavedSearchEvent = 3
)

// Enum value maps for SavedSearchEvent.
var (
	SavedSearchEvent_name = map[int32]string{
		0: "SAVED_SEARCH_EVENT_UNSPECIFIED",
		1: "SAVED_SEARCH_EVENT_CREATED",
		2: "SAVED_SEARCH_EVENT_UPDATED",
		3: "SAVED_SEARCH_EVENT_DELETED",
	}
	SavedSearchEvent_value = map[string]int32{
		"SAVED_SEARCH_EVENT_UNSPECIFIED": 0,
		"SAVED_SEARCH_EVENT_CREATED":     1,
		"SAVED_SEARCH_EVENT_UPDATED":     2,
		"SAVED_SEARCH_EVENT_DELETED":     3,
	}
)

func (x SavedSearchEvent) Enum() *SavedSearchEvent {
	p := new(SavedSearchEvent)
	*p = x
	return p
}

func (x SavedSearchEvent) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (SavedSearchEvent) Descriptor() protoreflect.EnumDescriptor {
	return file_example_example_proto_enumTypes[1].Descriptor()
}

func (SavedSearchEvent) Type() protoreflect.EnumType {
	return &file_example_example_proto_enumTypes[1]
}

func (x SavedSearchEvent) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use SavedSearchEvent.Descriptor instead.
func (SavedSearchEvent) EnumDescriptor() ([]byte, []int) {
	return file_example_example_proto_rawDescGZIP(), []int{1}
}

type ExampleEvent int32

const (
	// UNSPECIFIED is the default value.
	ExampleEvent_EXAMPLE_EVENT_UNSPECIFIED ExampleEvent = 0
	// EXAMPLE_EVENT_RESOURCE_CREATED is fired when an example is created.
	ExampleEvent_EXAMPLE_EVENT_RESOURCE_UPDATED ExampleEvent = 1
)

// Enum value maps for ExampleEvent.
var (
	ExampleEvent_name = map[int32]string{
		0: "EXAMPLE_EVENT_UNSPECIFIED",
		1: "EXAMPLE_EVENT_RESOURCE_UPDATED",
	}
	ExampleEvent_value = map[string]int32{
		"EXAMPLE_EVENT_UNSPECIFIED":      0,
		"EXAMPLE_EVENT_RESOURCE_UPDATED": 1,
	}
)

func (x ExampleEvent) Enum() *ExampleEvent {
	p := new(ExampleEvent)
	*p = x
	return p
}

func (x ExampleEvent) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (ExampleEvent) Descriptor() protoreflect.EnumDescriptor {
	return file_example_example_proto_enumTypes[2].Descriptor()
}

func (ExampleEvent) Type() protoreflect.EnumType {
	return &file_example_example_proto_enumTypes[2]
}

func (x ExampleEvent) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use ExampleEvent.Descriptor instead.
func (ExampleEvent) EnumDescriptor() ([]byte, []int) {
	return file_example_example_proto_rawDescGZIP(), []int{2}
}

var File_example_example_proto protoreflect.FileDescriptor

var file_example_example_proto_rawDesc = []byte{
	0x0a, 0x15, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x2f, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x07, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65,
	0x1a, 0x0f, 0x65, 0x6e, 0x75, 0x6d, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x2a, 0x6c, 0x0a, 0x0d, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x1e, 0x0a, 0x1a, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x45,
	0x56, 0x45, 0x4e, 0x54, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44,
	0x10, 0x00, 0x12, 0x1a, 0x0a, 0x16, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x45,
	0x56, 0x45, 0x4e, 0x54, 0x5f, 0x43, 0x52, 0x45, 0x41, 0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x1a,
	0x0a, 0x16, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54,
	0x5f, 0x44, 0x45, 0x4c, 0x45, 0x54, 0x45, 0x44, 0x10, 0x02, 0x1a, 0x03, 0xf8, 0x42, 0x01, 0x2a,
	0x9b, 0x01, 0x0a, 0x10, 0x53, 0x61, 0x76, 0x65, 0x64, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x45,
	0x76, 0x65, 0x6e, 0x74, 0x12, 0x22, 0x0a, 0x1e, 0x53, 0x41, 0x56, 0x45, 0x44, 0x5f, 0x53, 0x45,
	0x41, 0x52, 0x43, 0x48, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45,
	0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1e, 0x0a, 0x1a, 0x53, 0x41, 0x56, 0x45,
	0x44, 0x5f, 0x53, 0x45, 0x41, 0x52, 0x43, 0x48, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x43,
	0x52, 0x45, 0x41, 0x54, 0x45, 0x44, 0x10, 0x01, 0x12, 0x1e, 0x0a, 0x1a, 0x53, 0x41, 0x56, 0x45,
	0x44, 0x5f, 0x53, 0x45, 0x41, 0x52, 0x43, 0x48, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x55,
	0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x10, 0x02, 0x12, 0x1e, 0x0a, 0x1a, 0x53, 0x41, 0x56, 0x45,
	0x44, 0x5f, 0x53, 0x45, 0x41, 0x52, 0x43, 0x48, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x44,
	0x45, 0x4c, 0x45, 0x54, 0x45, 0x44, 0x10, 0x03, 0x1a, 0x03, 0xf8, 0x42, 0x01, 0x2a, 0x56, 0x0a,
	0x0c, 0x45, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x1d, 0x0a,
	0x19, 0x45, 0x58, 0x41, 0x4d, 0x50, 0x4c, 0x45, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x55,
	0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x22, 0x0a, 0x1e,
	0x45, 0x58, 0x41, 0x4d, 0x50, 0x4c, 0x45, 0x5f, 0x45, 0x56, 0x45, 0x4e, 0x54, 0x5f, 0x52, 0x45,
	0x53, 0x4f, 0x55, 0x52, 0x43, 0x45, 0x5f, 0x55, 0x50, 0x44, 0x41, 0x54, 0x45, 0x44, 0x10, 0x01,
	0x1a, 0x03, 0xf8, 0x42, 0x01, 0x42, 0x33, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x61, 0x6b, 0x6f, 0x72, 0x64, 0x61, 0x63, 0x6f, 0x72, 0x70, 0x2f, 0x6c,
	0x61, 0x62, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x63, 0x2d, 0x67, 0x65, 0x6e, 0x2d, 0x65, 0x6e,
	0x75, 0x6d, 0x2f, 0x65, 0x78, 0x61, 0x6d, 0x70, 0x6c, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_example_example_proto_rawDescOnce sync.Once
	file_example_example_proto_rawDescData = file_example_example_proto_rawDesc
)

func file_example_example_proto_rawDescGZIP() []byte {
	file_example_example_proto_rawDescOnce.Do(func() {
		file_example_example_proto_rawDescData = protoimpl.X.CompressGZIP(file_example_example_proto_rawDescData)
	})
	return file_example_example_proto_rawDescData
}

var file_example_example_proto_enumTypes = make([]protoimpl.EnumInfo, 3)
var file_example_example_proto_goTypes = []interface{}{
	(DocumentEvent)(0),    // 0: example.DocumentEvent
	(SavedSearchEvent)(0), // 1: example.SavedSearchEvent
	(ExampleEvent)(0),     // 2: example.ExampleEvent
}
var file_example_example_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_example_example_proto_init() }
func file_example_example_proto_init() {
	if File_example_example_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_example_example_proto_rawDesc,
			NumEnums:      3,
			NumMessages:   0,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_example_example_proto_goTypes,
		DependencyIndexes: file_example_example_proto_depIdxs,
		EnumInfos:         file_example_example_proto_enumTypes,
	}.Build()
	File_example_example_proto = out.File
	file_example_example_proto_rawDesc = nil
	file_example_example_proto_goTypes = nil
	file_example_example_proto_depIdxs = nil
}
